﻿© 2008 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 545xx Record Reading IEEE
DATE:                  2008-10-29 10:29:26
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       90
=============================================================================
#
#  Procedure Author:  ZY
#
#  Model(s) Covered:  545xx series oscilloscopes
#
#  Compatibility:     MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:     None
#
#  Required Files:    None
#
#  GLOBAL REGISTERS USED:
#
#   You will notice that MEM & MEM1 are used extensively in this procedure.
#   This can be dangerous to use since MEM and MEM1 are used for controlling
#   instruments.  We read the values from MEM and MEM1 and store these in
#   temporary registers which are later restored on exiting the sub-procedure.
#
#  LOCAL REGISTERS USED:
#
#   L[14]
#     First reading taken from UUT.
#
#   L[15]
#     Second reading taken from UUT.
#
#   L[16]
#     Third reading taken from UUT.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Backup MEM1.
  1.001  MATH         RegMEM1 = MEM1

# We picked a value of 5 times the resolution of the measurement to determine
# a stable reading.  Other factors like noise or condition of the scope will
# have a factor in this.
  1.002  MATH         NoiseFlr = 5 * @MeasRes
  1.003  MATH         LoopTime = 0

  1.004  DO
# We will go through this loop 50 times.  If there is not a good reading
# then we will warn the operator
  1.005  MATH         LoopTime = LoopTime + 1

  1.006  IF           LoopTime > 50
  1.007  OPBR         -z 50 readings have been taken and three sequential
  1.007  OPBR         readings are not stable to within [V NoiseFlr].
  1.007  OPBR
  1.007  OPBR         Do you wish to take more readings?
  1.008  JMPL         TAKE_READING                 NOT(MEM1)
  1.009  MATH         LoopTime = 0
  1.010  ENDIF

  1.011  IEEE         ERAS PMEM0[D1000]
# Take three readings.
  1.011  IEEE         [MEM2][I]
  1.012  MATH         L[14] = MEM
  1.013  IEEE         ERAS PMEM0[D1000]
  1.014  IEEE         [MEM2][I]
  1.015  MATH         L[15] = MEM
  1.016  IEEE         ERAS PMEM0[D1000]
  1.017  IEEE         [MEM2][I]
  1.018  MATH         L[16] = MEM
# Compute maximum and minimum of the three readings.
  1.019  MATH         MinVal = MIN_L(14, 16); MaxVal = MAX_L(14, 16)
  1.020  UNTIL        ABS(MinVal - MaxVal) <= NoiseFlr

# Take one more reading and use it.
  1.021  LABEL        TAKE_READING
  1.022  IEEE         ERAS PMEM0[D1000]
  1.023  IEEE         [MEM2][I]

# Restore MEM1.
  1.024  MATH         MEM1 = RegMEM1
  1.025  END
